Page MenuHomePhabricator

archivebot should reset counter when changing a year
Open, MediumPublic

Event Timeline

Dvorapa created this task.Feb 5 2019, 10:32 AM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptFeb 5 2019, 10:32 AM
Dvorapa updated the task description. (Show Details)Feb 5 2019, 10:32 AM
Xqt triaged this task as Medium priority.Feb 5 2019, 7:47 PM

Change 488544 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[pywikibot/core@master] archivebot.py: Reset counter when timestamp fragment changes

https://gerrit.wikimedia.org/r/488544

Change 488544 merged by jenkins-bot:
[pywikibot/core@master] archivebot.py: Reset counter when timestamp fragment changes

https://gerrit.wikimedia.org/r/488544

Xqt closed this task as Resolved.Feb 7 2019, 3:58 PM
Xqt assigned this task to matej_suchanek.
Xqt reopened this task as Open.EditedMar 19 2019, 5:24 AM
Xqt added a subscriber: Xqt.
matej_suchanek removed matej_suchanek as the assignee of this task.Mar 19 2019, 3:58 PM
matej_suchanek added a subscriber: matej_suchanek.

Some notes:

Perhaps we shouldn't attempt to reset counter if the archive pattern doesn't depend on anything but counter.

Ghost archive problem is definitely a regression. I can solve it either by preventing saving archives with 0 archived sections or by not caching archives that we don't know they'll exist.

Change 616719 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[pywikibot/core@master] [IMPR] Reset counter when "era" changes

https://gerrit.wikimedia.org/r/616719

matej_suchanek added a project: User-notice.

Whole Wikimedia depends on this functionality, needs careful review and maybe some testing.

Change 616719 merged by jenkins-bot:
[pywikibot/core@master] [IMPR] Reset counter when "era" changes

https://gerrit.wikimedia.org/r/616719

Bot operators can use Pywikibot to regularly archive discussions. The behavior when the bot uses counter to prevent large archives was changed. There were also other changes.

@matej_suchanek Thank you for writing the explanation! Is there a link that we could add to this, to give more details?

Besides this task which explains the main problem, there were around five preceding changes not linked to any task. Their commit messages should have some details, but they were mostly refactorings or minor bug fixes. So unless you want to link them all, this query lists them all: https://gerrit.wikimedia.org/r/q/project:pywikibot/core+status:merged+after:2020-07-27+topic:archivebot.

Quiddity updated the task description. (Show Details)Jul 31 2020, 9:10 PM

Sorry I didn't see this message until after I had frozen the issue for translation. (I missed checking a column in the workboard). Instead of altering the now-frozen-for-translations issue of TechNews itself, I have added a note into this task's description. Hope that works!